<div class="field wide">{% include "planner_common/forms/widgets/choices_js.html" %}</div>
<div class="field wide">
  <label for="{{ widget.attrs.id }}__other">Other certificate (free text)</label>
  <input type="text"
         name="{{ widget.name }}__other"
         id="{{ widget.attrs.id }}__other"
         {% if other %}value="{{ other }}"{% endif %}>
</div>
<script>
  const select = document.getElementById("{{ widget.attrs.id}}");
  const otherInput = document.getElementById("{{ widget.attrs.id }}__other");
  const otherLabel = document.querySelector("label[for='{{ widget.attrs.id }}__other']");
  function show() {
    otherInput.removeAttribute("disabled");
    otherInput.removeAttribute("aria-hidden");
    otherLabel.removeAttribute("aria-hidden");
  }
  function hide() {
    otherInput.setAttribute("disabled", "");
    otherInput.setAttribute("aria-hidden", "true");
    otherLabel.setAttribute("aria-hidden", "true");
  }
  function update() {
      if (select._choices.getValue().map(e => e.value).includes('other')) {
          show();
      } else {
          hide();
      }
  }
  select.addEventListener('initialized', update, { once: true});
  select.addEventListener('change', update);
</script>
